Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQCanvasItemList Class Reference
[canvas module]

The TQCanvasItemList class is a list of TQCanvasItems. More...

`#include <ntqcanvas.h>`

Inherits TQValueList<TQCanvasItem * >.

List of all member functions.

## Public Members

- TQCanvasItemList operator+ ( const TQCanvasItemList & l ) const

## Detailed Description

The TQCanvasItemList class is a list of TQCanvasItems.

TQCanvasItemList is a TQValueList of pointers to TQCanvasItems. This class is used by some methods in TQCanvas that need to return a list of canvas items.

The TQValueList documentation describes how to use this list.

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### TQCanvasItemList TQCanvasItemList::operator+ ( const TQCanvasItemList & l ) const

Returns the concatenation of this list and list l.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.